Bug 153456 - Ability to specify if the image caption should set the gallery2 title or description
Summary: Ability to specify if the image caption should set the gallery2 title or desc...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-WebService-Piwigo (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-05 02:15 UTC by Tom Kliethermes
Modified: 2018-02-01 22:35 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot of the feature (26.42 KB, image/png)
2007-12-05 02:17 UTC, Tom Kliethermes
Details
Patch implementing the feature (6.10 KB, patch)
2007-12-05 02:18 UTC, Tom Kliethermes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Kliethermes 2007-12-05 02:15:53 UTC
Version:            (using KDE KDE 3.5.8)
Installed from:    Ubuntu Packages
OS:                Linux

I have some images in Digikam which have very long descriptive comments. These are from the Digikam "comment" field (some places called the "caption"), and there's no size limit.  When I export them into Gallery 2, the comment goes into the "Title" field, where it is truncated.  For these albums that I know will have long comments, I'd like for the gallery2 export to set the "Description" field instead.  

Ideally, the user could select "Title or Description" for each image, but the interface would be cumbersome... setting "Title or Description" per album upload would be sufficient.

I'll attach a screenshot and a patch for this feature.
Comment 1 Tom Kliethermes 2007-12-05 02:17:04 UTC
Created attachment 22340 [details]
screenshot of the feature
Comment 2 Tom Kliethermes 2007-12-05 02:18:30 UTC
Created attachment 22341 [details]
Patch implementing the feature

Let me know if the diff is not done correctly.
Comment 3 Colin Guthrie 2007-12-10 11:59:51 UTC
Hi Tom,

Thanks for contributing :)

The patch looks to be in a good format and with a quick glance looks to be good generally.

I'll try and review sometime very soon.

Thanks again.
Comment 4 Colin Guthrie 2008-01-16 22:22:15 UTC
SVN commit 762358 by cguthrie:

Add the ability to set the title and/or description of the uploaded images.
Thanks to Tom Kliethermes for the patch.
BUG: 153456

 M  +7 -1      gallerytalker.cpp  
 M  +1 -0      gallerytalker.h  
 M  +13 -3     gallerywidget.cpp  
 M  +2 -0      gallerywidget.h  
 M  +17 -0     gallerywindow.cpp  
 M  +2 -0      gallerywindow.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=762358